Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::MessageStoreFactory Class Reference

This interface must be implemented to create a MessageStore. More...

`#include <MessageStore.h>`

Inheritance diagram for FIX::MessageStoreFactory:
[legend]

List of all members.

## Public Member Functions

virtual | ~MessageStoreFactory ()
virtual MessageStore * | create (const SessionID &)=0
virtual void | destroy (MessageStore *)=0

## Detailed Description

This interface must be implemented to create a MessageStore.

Definition at line 41 of file MessageStore.h.

## Constructor & Destructor Documentation

virtual FIX::MessageStoreFactory::~MessageStoreFactory | ( |  | ) | `[inline, virtual]`

Definition at line 44 of file MessageStore.h.

    00044 {}

## Member Function Documentation

virtual MessageStore* FIX::MessageStoreFactory::create | ( | const SessionID & |  | ) | `[pure virtual]`

Implemented in FIX::FileStoreFactory, FIX::MemoryStoreFactory, and FIX::NullStoreFactory.

Referenced by FIX::MessageStoreFactoryExceptionWrapper::create(), and FIX::Session::Session().

virtual void FIX::MessageStoreFactory::destroy | ( | MessageStore * |  | ) | `[pure virtual]`

Implemented in FIX::FileStoreFactory, FIX::MemoryStoreFactory, and FIX::NullStoreFactory.

Referenced by FIX::MessageStoreFactoryExceptionWrapper::destroy(), and FIX::Session::~Session().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/MessageStore.h